El plugin WPML me causa errores al iniciar wp-admin  

 
Nagore
 Nagore
Usuario eminente

Hola, tengo el wp 4.2.3 instalado y al activar el plugin WPML (2.7.1) me aparece la página de wp-admin en blanco. ¿Qué puedo hacer para corregir esto?

URL del sitio: Contenido solo visible a usuarios registrados

Citar
Respondido : 03/08/2015 6:04 pm
Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola

Si te aparece una página en blanco revisa los errores recientes que se generan en el archivo /wp-admin/error_log

Podrías también pasar la herramienta Stephan, disponible desde tu área de cliente.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 03/08/2015 6:38 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Nagore
 Nagore
Usuario eminente

He revisado uno a uno los plugins compatibles con WPML y me causa el error con el plugin Gantry Template Framework. ¿Qué puedo hacer?

ResponderCitar
Respondido : 03/08/2015 8:41 pm
Nagore
 Nagore
Usuario eminente

En /wp-admin/error_log me aparece este error:

[03-Aug-2015 19:21:02 Europe/Berlin] PHP Warning: PHP Startup: Unable to load dynamic library '/usr/local/lib/php/extensions/no-debug-non-zts-20090626/timezonedb.so' - /usr/local/lib/php/extensions/no-debug-non-zts-20090626/timezonedb.so: cannot open shared object file: No such file or directory in Unknown on line 0

ResponderCitar
Respondido : 03/08/2015 8:47 pm

Cursos Gratuitos WordPress

Rafael
 Rafael
Miembro Moderator

¡Hola Nagore!

Por lo que comentas todo apunta a que el plugin de traducción es incompatible con otros plugins de tu sitio Wordpress.

Te recomendamos usar QTranslateX:

- Multiidiomas en WordPress con qTranslated X - Instalacion y Configuracion - https://www.webempresa.com/blog/item/1823-multiidiomas-en-wordpress-con-qtranslated-x-instalacion-y-configuracion.html
- Migrando las traducciones de qTranslate y mqTranslate a qTranslate X - https://www.webempresa.com/blog/item/1746-migrando-las-traducciones-de-qtranslate-y-mqtranslate-a-qtranslate-x.html
- Multiidiomas en WordPress con qTranslated X - Conmutador de Idiomas - https://www.webempresa.com/blog/item/1824-multiidiomas-en-wordpress-con-qtranslated-x-conmutador-de-idiomas.html
- Multiidiomas en WordPress con qTranslated X - Traduciendo post y entradas - https://www.webempresa.com/blog/item/1827-multiidiomas-en-wordpress-con-qtranslated-x-traduciendo-post-y-entradas.html
- Multiidiomas en WordPress con qTranslate X - Traduciendo Widgets - https://www.webempresa.com/blog/item/1830-multiidiomas-en-wordpress-con-qtranslate-x-traduciendo-widgets.html
- Multiidiomas en WordPress con qTranslate X - Añade un selector de idioma en el Menú - https://www.webempresa.com/blog/item/1831-multiidiomas-en-wordpress-con-qtranslate-x-anade-un-selector-de-idioma-en-el-menu.html
- Multiidiomas en WordPress con qTranslate X - Redirección del idioma - https://www.webempresa.com/blog/item/1838-multiidiomas-en-wordpress-con-qtranslate-x-redireccion-del-idioma.html

Revisa si con esta alternativa sigues teniendo problemas para traducir la web.

No obstante, deberías contactar con los compañeros del Soporte Técnico para que verifiquen si a nivel de servidor hay algún fallo como memoria de Suhosin etc. y esté ocasionando esos errores.

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar Testimonio
¡Gracias!.

ResponderCitar
Respondido : 03/08/2015 8:52 pm
Nagore
 Nagore
Usuario eminente

Ok. Gracias, voy a probar con lo que me dices.

Saludos.

ResponderCitar
Respondido : 03/08/2015 9:20 pm

Gestor de Contraseñas - VPN Conexión Segura - Gestor 2FA (Segundo Factor de Autenticación

Nagore
 Nagore
Usuario eminente

Hola, los compañeros del Soporte Técnico me han solucionado un problema, pero ahora me aparece el siguiente error:

[03-Aug-2015 19:33:40 UTC] PHP Fatal error: Class 'Gantry_ICL_Language_Switcher' not found in /home/aldezaha/public_html/wp-includes/widgets.php on line 560

Saludos.

ResponderCitar
Respondido : 03/08/2015 10:58 pm
Jhon Marreros Guzman
 Jhon Marreros Guzman
Soporte CMS Webempresa Moderator

Hola

Ese error es reciente?, al parecer esta relacionado con algún widget, prueba quitando los widgets relacionados con idiomas

Desde soporte supongo que te han restaurado alguna copia

Saludos.

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio
¡Gracias!.

ResponderCitar
Respondido : 03/08/2015 11:24 pm

optimiza-automaticamente-todas-las-imagenes-de-tu-wordpress

Nagore
 Nagore
Usuario eminente

Hola, estoy intentando seguir los pasos indicados por Rafael, y he instalado el plugin qTranslate X y W2Q: WPML to qTranslate. Este último plugin me da el siguiente error:

Parse error: syntax error, unexpected '[' in /home/aldezaha/public_html/wp-content/plugins/w2q-wpml-to-qtranslate/w2q-wpml-to-qtranslate.php on line 261

Lo he instalado manualmente por Filezilla y automáticamente por wordpress, y me da el mismo error.

No sé si hay otra manera de migrar los datos de WPML a qtranslateX, o si es un error que se puede solucionar.

Gracias.

ResponderCitar
Respondido : 04/08/2015 1:41 pm
Jordi Sala
 Jordi Sala
Miembro Admin

Hola Nagore,

https://wordpress.org/support/topic/error-on-line-261-unexpected

Veo que aparte del cambio en el código, indican un posible motivo del error:
It's probably because you use an older version of PHP

Envía un ticket al departamento de hosting y dominios para que te indiquen la versión de PHP que tienes en tu cuenta de hosting, y si es una versión antigua, por ejemplo PHP 5.3, pues que suban a PHP 5.4 o PHP 5.5

Saludos

Si nuestra ayuda te sirve déjanos tu testimonio y mejora así el posicionamiento de tu web:
Enviar mi Testimonio

ResponderCitar
Respondido : 04/08/2015 1:52 pm

wpdoctor-revisa-la-salud-de-tu-wordpress

Por favor Iniciar Sesión o Registro